TEMPLATE = lib
include( ../config.pro )

INCLUDEPATH += ..

unix:LIBS += -L..
LIBS += -lAttalCommon

VERSION = 3.0.0

SOURCES += fight.cpp
SOURCES += fightCell.cpp
SOURCES += fightMap.cpp
SOURCES += fightResult.cpp
SOURCES += fightMapView.cpp
SOURCES += fightSettingsDialog.cpp
SOURCES += fightUnit.cpp
SOURCES += graphicalFightCell.cpp
SOURCES += graphicalFightMap.cpp

HEADERS += fight.h
HEADERS += fightCell.h
HEADERS += fightMap.h
HEADERS += fightResult.h
HEADERS += fightMapView.h
HEADERS += fightSettingsDialog.h
HEADERS += fightUnit.h
HEADERS += graphicalFightCell.h
HEADERS += graphicalFightMap.h

DESTDIR = ..
TARGET = AttalFight
